libmtp: Data Fields - Variables

- Main Page
- Modules
- Data Structures
- Files
- Directories
- Examples

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- m
- n
- p
- r
- s
- t
- u
- v
- w

### - a -

- AccessCapability : LIBMTP_devicestorage_struct
- album : LIBMTP_track_struct
- album_id : LIBMTP_album_struct
- artist : LIBMTP_track_struct

### - b -

- bitrate : LIBMTP_track_struct
- bitratetype : LIBMTP_track_struct

### - c -

- cd : LIBMTP_mtpdevice_struct
- child : LIBMTP_folder_struct

### - d -

- data : LIBMTP_filesampledata_struct
- date : LIBMTP_track_struct
- default_album_folder : LIBMTP_mtpdevice_struct
- default_music_folder : LIBMTP_mtpdevice_struct
- default_organizer_folder : LIBMTP_mtpdevice_struct
- default_picture_folder : LIBMTP_mtpdevice_struct
- default_playlist_folder : LIBMTP_mtpdevice_struct
- default_text_folder : LIBMTP_mtpdevice_struct
- default_video_folder : LIBMTP_mtpdevice_struct
- default_zencast_folder : LIBMTP_mtpdevice_struct
- device_flags : LIBMTP_device_entry_struct
- duration : LIBMTP_track_struct , LIBMTP_filesampledata_struct

### - e -

- errorstack : LIBMTP_mtpdevice_struct

### - f -

- filename : LIBMTP_file_struct , LIBMTP_track_struct
- filesize : LIBMTP_file_struct , LIBMTP_track_struct
- FilesystemType : LIBMTP_devicestorage_struct
- filetype : LIBMTP_filesampledata_struct , LIBMTP_track_struct , LIBMTP_file_struct
- folder_id : LIBMTP_folder_struct
- FreeSpaceInBytes : LIBMTP_devicestorage_struct
- FreeSpaceInObjects : LIBMTP_devicestorage_struct

### - g -

- genre : LIBMTP_track_struct

### - h -

- height : LIBMTP_filesampledata_struct

### - i -

- id : LIBMTP_devicestorage_struct
- interface_number : LIBMTP_mtpdevice_struct
- item_id : LIBMTP_track_struct , LIBMTP_file_struct

### - m -

- MaxCapacity : LIBMTP_devicestorage_struct
- maximum_battery_level : LIBMTP_mtpdevice_struct

### - n -

- name : LIBMTP_device_entry_struct , LIBMTP_album_struct , LIBMTP_playlist_struct , LIBMTP_folder_struct
- next : LIBMTP_devicestorage_struct , LIBMTP_mtpdevice_struct , LIBMTP_playlist_struct , LIBMTP_track_struct , LIBMTP_file_struct , LIBMTP_album_struct
- no_tracks : LIBMTP_album_struct , LIBMTP_playlist_struct
- nochannels : LIBMTP_track_struct

### - p -

- params : LIBMTP_mtpdevice_struct
- parent_id : LIBMTP_track_struct , LIBMTP_folder_struct , LIBMTP_file_struct
- playlist_id : LIBMTP_playlist_struct
- prev : LIBMTP_devicestorage_struct
- product_id : LIBMTP_device_entry_struct

### - r -

- rating : LIBMTP_track_struct

### - s -

- samplerate : LIBMTP_track_struct
- sibling : LIBMTP_folder_struct
- size : LIBMTP_filesampledata_struct
- storage : LIBMTP_mtpdevice_struct
- StorageDescription : LIBMTP_devicestorage_struct
- StorageType : LIBMTP_devicestorage_struct

### - t -

- title : LIBMTP_track_struct
- tracknumber : LIBMTP_track_struct
- tracks : LIBMTP_playlist_struct , LIBMTP_album_struct

### - u -

- usbinfo : LIBMTP_mtpdevice_struct
- usecount : LIBMTP_track_struct

### - v -

- vendor_id : LIBMTP_device_entry_struct
- VolumeIdentifier : LIBMTP_devicestorage_struct

### - w -

- wavecodec : LIBMTP_track_struct
- width : LIBMTP_filesampledata_struct